/**
 * @hidden
 */
export declare type onChunkCallback = (chunk: string | ArrayBuffer, offset: number) => void;
/**
 * @hidden
 */
export declare type processFileOptions = {
    file: Blob;
    chunkSize: number;
    signal?: AbortSignal;
    onChunkCallback: onChunkCallback;
    onFinishCallback: () => void;
    onErrorCallback: (err: any) => void;
};
/**
 * @hidden
 */
export declare function processFile({ file, chunkSize, signal, onChunkCallback, onFinishCallback, onErrorCallback, }: processFileOptions): void;
